function [V] = create_initial_Vpot(Vs,Vg,Vd,GatePos,NumGate, Radius, GatePot,Ls,Ld,write_mode)

grid=load('grid.dat');
L=max(grid(:,1));
W=max(grid(:,3))-min(grid(:,3));
zmin=min(grid(:,3));
Lc=L-Ls-Ld;
V=zeros(length(grid(:,1)),1);
for var_i=1:length(V)
    x=grid(var_i,1);
    z=grid(var_i,3);
    if (x<Ls)
        V(var_i)=Vd;
    elseif (x<Ls+Lc)
%         V(var_i)=Vd+(x-Ls)/Lc*(Vs-Vd);
        V(var_i)=Vd;
        for igate=1:NumGate
            V(var_i)=V(var_i)+ GatePot(igate)*mvnpdf([x z],[GatePos(igate) W/2+zmin],eye(2).*(Radius(igate)^2))*(Radius(igate)^2)/100;
        end
    else
        V(var_i)=Vs;
    end
end

if write_mode
    save('vact_dat','V','-ascii', '-double', '-tabs')
end

end
